﻿@using Microsoft.AspNet.Identity
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title E-commerce</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>


</head>

<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("E-commerce", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">

                }
                @if (Request.IsAuthenticated)
                {
                    if (User.Identity.GetUserName() == "Admin@gmail.com")
                    {
                        <ul class="nav navbar-nav">
                            <li class="dropdown">
                                <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">จัดการสินค้า<span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li>@Html.ActionLink("ประเภทสินค้า", "Index", "Categories")</li>
                                    <li>@Html.ActionLink("สินค้า", "Index", "Products")</li>
                                    <li>@Html.ActionLink("ผู้จัดจำหน่าย", "Index", "Suppliers")</li>
                                </ul>
                            </li>
                            <li class="dropdown">
                                <a class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">รายการสั่งซื้อ<span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li>@Html.ActionLink("รายการสั่งซื้อ", "Index", "Orders")</li>
                                    <li>@Html.ActionLink("รายละเอียดการสั่งซื้อ", "Index", "OrderDetails")</li>
                                </ul>
                            </li>
                            <li>@Html.ActionLink("ซื้อสินค้า", "Main", "Products")</li>
                            <li>@Html.ActionLink("ลูกค้า", "Index", "Customers")</li>
                            <li>@Html.ActionLink("พนักงาน", "Index", "Employees")</li>

                            @*<li>@Html.ActionLink("บริษัทขนส่ง", "Index", "Shippers")</li>*@

                        </ul>
                        @Html.Partial("_ShoppingCart")
                    }
                    <ul class="nav navbar-nav">
                       
                      
                        <li>@Html.ActionLink("ซื้อสินค้า", "Main", "Products")</li>
               

                        
                    </ul>
                    @Html.Partial("_ShoppingCart")

                    //Here show the navigation menu
                }
                else
                {


                    //here hide the navigation menu
                }




                @Html.Partial("_LoginPartial")

            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />

    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)


</body>
</html>
